from django.contrib.auth.models import User, Group
from rest_framework import serializers

import timer.models


class OfficeHoursSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = timer.models.OfficeHours


class UserSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = User
        fields = ('url', 'username', 'email', 'groups')


class GroupSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Group
        fields = ('url', 'name')
